<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'adm_check', 'user') as $inc) {
    require_once "../sys/inc/$inc.php";
}

access('adm_rekl', null, 'index.php?' . SID);
adm_check();

if (isset($_GET['sel']) && is_numeric($_GET['sel']) && $_GET['sel'] > 0 && $_GET['sel'] <= 4) {
    $sel = intval($_GET['sel']);
    $set['title'] = lang('Реклама');
    require_once H . 'sys/inc/thead.php';

    aut();
    err();

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/panel/rekl.php'>" . lang('Реклама и баннеры') . "</a>";
    echo "</small></div><br />";

    if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])) {
        $ch = intval($_POST['ch']);
        $mn = intval($_POST['mn']);
        $time_last = time() + $ch * $mn * 60 * 60 * 24;

        if (isset($_POST['dop_str']) && $_POST['dop_str'] == 1) {
            $dop_str = 1;
        } else {
            $dop_str = 0;
        }

        $link = stripcslashes(htmlspecialchars($_POST['link']));
        $name = stripcslashes(htmlspecialchars($_POST['name']));
        $icon = stripcslashes(htmlspecialchars($_POST['icon']));
        $img = stripcslashes(htmlspecialchars($_POST['img']));

        mysql_query("INSERT INTO `rekl` (`time_last`, `name`, `img`, `icon`, `link`, `sel`, `dop_str`) VALUES ('$time_last', '$name', '$img', '$icon', '$link', '$sel', '$dop_str')");

        $_SESSION['message'] = lang('Рекламная ссылка добавлена');

        header("Location: ?sel=$sel");
    } elseif (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "'"), 0) && isset($_POST['name']) && isset($_POST['link']) && isset($_POST['img']) && isset($_POST['ch']) && isset($_POST['mn'])) {
        $rekl = mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "' LIMIT 1"));
        $ch = intval($_POST['ch']);
        $mn = intval($_POST['mn']);

        if ($rekl['time_last'] > time()) {
            $time_last = $rekl['time_last'] + $ch * $mn * 60 * 60 * 24;
        } else {
            $time_last = time() + $ch * $mn * 60 * 60 * 24;
        }

        $link = stripcslashes(htmlspecialchars($_POST['link']));
        $name = stripcslashes(htmlspecialchars($_POST['name']));
        $icon = stripcslashes(htmlspecialchars($_POST['icon']));
        $img = stripcslashes(htmlspecialchars($_POST['img']));

        if (isset($_POST['dop_str']) && $_POST['dop_str'] == 1) {
            $dop_str = 1;
        } else {
            $dop_str = 0;
        }
        mysql_query("UPDATE `rekl` SET `time_last` = '$time_last', `name` = '$name', `icon` = '$icon', `link` = '$link', `img` = '$img', `dop_str` = '$dop_str' WHERE `id` = '" . intval($_GET['set']) . "'");
        $_SESSION['message'] = lang('Изменения сохранены');

        header("Location: ?sel=$sel");
    } elseif (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['del']) . "'"), 0)) {

        mysql_query("DELETE FROM `rekl` WHERE `id` = '" . intval($_GET['del']) . "' LIMIT 1");

        $_SESSION['message'] = lang('Рекламная ссылка удалена');

        header("Location: ?sel=$sel");
    }

    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel'"), 0);
    $k_page = k_page($k_post, $set['p_str']);
    $page = page($k_page);

    if (isset($_GET['set']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "'"), 0)) {
        $rekl = mysql_fetch_assoc(mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' AND `id` = '" . intval($_GET['set']) . "'"));

        echo "<form class='list-group-item-null list-group-item-grey' name='rekl' method='POST' action='?sel=$sel&amp;set=$rekl[id]&amp;page=$page' style='margin: 2px;'>";

        $doc->Input('name', 'Название', 100, "$rekl[name]");
        $doc->Input('icon', 'Иконка', 100, "$rekl[icon]");
        $doc->Input('link', 'Ссылка', 100, "$rekl[link]");
        $doc->Input('img', 'Картинка', 100, "$rekl[img]");

        echo "<br /><a href='http://fontawesome.io/icons/'><i class='fa fa-fa fa-fw'></i> <b>Список иконок</b></a> (писать только название иконки)<br /><br />";
        echo "" . ($rekl['time_last'] > time() ? 'Продлить на' : 'Продлить до') . "<br />";
        echo "<input id='ch' name='ch' type='number' value='1' class='form-control' style='width: 40%;'><br />";

        echo "<select class='form-control' name = 'mn' style='width: 40%;'>";
        echo "<option value = '1' selected = 'selected'>" . lang('Дней') . "</option>";
        echo "<option value = '7'>" . lang('Недель') . "</option>";
        echo "<option value = '31'>" . lang('Месяцев') . "</option>";
        echo "</select><br />";

        if ($rekl['dop_str'] == 1) {
            $dop = " checked='checked'";
        } else {
            $dop = NULL;
        }

        $doc->Checkbox('dop_str', 'Доп. страница', 1, "$dop");
        echo "<br />";

        $doc->Button('btn btn-success btn-sm', null, 'save', 'Сохранить');
        $doc->Link('btn btn-secondary btn-sm', "?sel=$sel&amp;$passgen", null, 'Отмена');
        echo "</form>";
    }

    $start = $set['p_str'] * $page - $set['p_str'];
    $q = mysql_query("SELECT * FROM `rekl` WHERE `sel` = '$sel' ORDER BY `time_last` DESC LIMIT $start, $set[p_str]");

    if ($k_post == 0) {
        $doc->NoResult();
    }

    while ($post = mysql_fetch_assoc($q)) {
        $title = $post['img'] ? "<a href='$post[img]'>[баннер]</a>" : $post['name'];

        echo "<div class='list-group-item-null'>\n";
        echo "<div style='float:right;'>";
        echo "<a href='?sel=$sel&amp;set=$post[id]&amp;page=$page' class='hint--left' data-hint='" . lang('Редактировать') . "'><i class='fa fa-edit fa-fw'></i></a> ";
        echo "<a href='?sel=$sel&amp;del=$post[id]&amp;page=$page' class='hint--left' data-hint='" . lang('Удалить') . "'><i class='fa fa-trash-o fa-fw'></i></a>";
        echo "</div>";
        echo "<i class='fa fa-bullhorn fa-fw'></i> $title<br />";
        echo "<font color='grey'><small>" . lang('Осталось') . " ";
        if ($post['time_last'] > time()) {
            echo date::time($post['time_last']) . "<br />";
        } else {
            echo lang('Срок показа истек') . "<br />";
        }

        echo lang('Ссылка') . ": <a href = '$post[link]' title = '$title'>$post[link]</a><br />";
        if ($post['img']) {
            echo lang('Баннер') . ": $post[img]<br />";
        }
        if ($post['dop_str']) {
            echo lang('Переходов') . ": $post[count]<br />";
        }
        echo "</small></font>";
        echo "</div>";
        echo "<div class='hr'></div>";
    }


    if ($k_page > 1) {
        str("rekl.php?sel=$sel&amp;", $k_page, $page);
    }


    if (isset($_GET['new'])) {
        echo "<form class='list-group-item-null list-group-item-grey' name='name' method='POST' action='?sel=$sel&amp;add&amp;$passgen' style='margin: 2px;'>";

        $doc->Input('name', 'Название', 100);
        $doc->Input('icon', 'Иконка', 100, 'tag');
        $doc->Input('link', 'Ссылка', 100);
        $doc->Input('img', 'Картинка', 100);

        echo "<br /><a href='http://fontawesome.io/icons/'><i class='fa fa-fa fa-fw'></i> <b>Список иконок</b></a> (писать только название иконки)<br /><br />";


        echo lang('Срок действия') . "<br />";
        echo "<input id='ch' name='ch' type='number' value='1' class='form-control' style='width: 40%;'><br />";

        echo "<select class='form-control' name = 'mn' style='width: 40%;'>";
        echo "<option value = '1' selected = 'selected'>" . lang('Дней') . "</option>";
        echo "<option value = '7'>" . lang('Недель') . "</option>";
        echo "<option value = '31'>" . lang('Месяцев') . "</option>";
        echo "</select><br />";

        $doc->Checkbox('dop_str', 'Доп. страница', 1, "checked='checked'");
        echo "<br />";
        $doc->Button('btn btn-primary btn-sm', null, 'plus', 'Добавить');
        $doc->Link('btn btn-secondary btn-sm', "?sel=$sel&amp;$passgen", null, 'Отмена');

        echo "</form>";
    }

    echo "<div class='list-group-item-null'>\n";
    echo "<a href='?new&amp;sel=$sel'><i class='fa fa-plus fa-fw'></i> " . lang('Добавить рекламу') . "</a>";
    echo "</div>";

    require_once H . 'sys/inc/tfoot.php';
    exit();
}
$set['title'] = 'Реклама';

require_once H . 'sys/inc/thead.php';

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/rekl.php'>" . lang('Реклама и баннеры') . "</a>";
echo "</small></div><br />";

echo "<a href='?sel=1' class='list-group-item-null list-group-item-grey'><i class='fa fa-chevron-right fa-fw'></i> " . lang('Вверх сайта') . "</a>";
echo "<a href='?sel=2' class='list-group-item-null list-group-item-grey'><i class='fa fa-chevron-right fa-fw'></i> " . lang('На главной') . "</a>";
echo "<a href='?sel=3' class='list-group-item-null list-group-item-grey'><i class='fa fa-chevron-right fa-fw'></i> " . lang('Низ сайта - главная') . "</a>";
echo "<a href='?sel=4' class='list-group-item-null list-group-item-grey'><i class='fa fa-chevron-right fa-fw'></i> " . lang('Низ сайта - остальные') . "</a>";

require_once H . 'sys/inc/tfoot.php';
